std::exception Class Reference
Diagnostics » Exceptions

`#include <exception.h>`

Inheritance diagram for std::exception:
[legend]

## Public Member Functions

| exception (const exception &)=default
| exception (exception &&)=default
exception & | operator= (const exception &)=default
exception & | operator= (exception &&)=default
virtual const char * | what () const noexcept

## Detailed Description

Base class for all library exceptions.

This is the base class for all exceptions thrown by the standard library, and by certain language expressions. You are free to derive your own exception classes, or use a different hierarchy, or to throw non-class data (e.g., fundamental types).

Definition at line 59 of file exception.h.

## Constructor & Destructor Documentation

## exception()

std::exception::exception | ( |  | ) |

inline noexcept

Definition at line 62 of file exception.h.

## Member Function Documentation

## what()

virtual const char * std::exception::what | ( |  | ) | const

virtual noexcept

Returns a C-style character string describing the general cause of the current error.

Reimplemented in std::ios_base::failure, std::bad_alloc, std::filesystem::filesystem_error, std::bad_weak_ptr, std::bad_function_call, std::experimental::fundamentals_v1::bad_any_cast, std::experimental::filesystem::v1::filesystem_error, std::future_error, std::logic_error, std::runtime_error, std::bad_exception, std::bad_cast, and std::bad_typeid.

The documentation for this class was generated from the following file:

- exception.h